> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook Configuration

> Delete an existing webhook configuration and stop delivery of future events to that endpoint.



## OpenAPI

````yaml DELETE /webhook/{webhookConfigId}
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /webhook/{webhookConfigId}:
    delete:
      description: >-
        Delete an existing webhook configuration and stop delivery of future
        events to that endpoint.
      parameters:
        - name: webhookConfigId
          in: path
          required: true
          schema:
            type: string
          description: Identifier of the webhook configuration to delete
          example: whc_gKAi2oZN1AeU7BfV
        - $ref: '#/components/parameters/IdempotencyKey'
      responses:
        '204':
          description: Webhook configuration deleted successfully. No content is returned.
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
        maxLength: 255
        pattern: ^[a-zA-Z0-9\-_:\.]+$
      description: >-
        A unique key for making the request idempotent. Must match pattern:
        `^[a-zA-Z0-9\-_:\.]+$`. See [Idempotent
        Requests](/developer-resources/idempotency) for more details.
      example: KG5LxwFBepaKHyUD
  schemas:
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````